# Lib: DogTag-Unit-3.0

## [v100002.2](https://github.com/parnic/LibDogTag-Unit-3.0/tree/v100002.2) (2022-11-26)
[Full Changelog](https://github.com/parnic/LibDogTag-Unit-3.0/compare/v100002.1...v100002.2) [Previous Releases](https://github.com/parnic/LibDogTag-Unit-3.0/releases)

- Fix typo  
- Fix FigureNPCGuild on Classic  
    This logic was bad when TooltipInfo didn't exist.  
- Fix Guild, Faction, and Zone edge cases  
    This is all done via tooltip scanning, so when an NPC doesn't even have a second line on their tooltip, several of these tags would error out assuming there was at least a second line or sometimes third line of text.  
    Fixes #11  
- Fix quest title showing as NPC guild  
    When an NPC is part of a quest, tooltip line 2 might be the quest name or something else non-Guild-related. Fortunately each line has a type associated with it, so if it's not type None (0), don't treat it like a guild. I could check for types like QuestTitle (17) but since the tooltip lines can contain any arbitrary information, it's best to make sure it's what we want instead of making sure it's not something specific that we don't want.  
- Add ability to specify MP type (#10)  
    * Add ability to specify MP type  
    This enables asking for MP(type="energy") while in Bear form as a Druid, for example, without having to add Energy-specific tags.  
    This should probably turn the Druid and Monk specific tags into aliases, but I don't want to change their behavior since they specifically return nil if you aren't the appropriate class.  
    * Address PR feedback  